import aiohttp

from adaas.cachedb import RemoteCache

__all__ = ("aextract",)


async def aextract(params: dict, url: str, **kwargs):
    async with aiohttp.ClientSession() as session:
        base = RemoteCache().base
        async with session.post(f"{base}/extract", json=dict(params=params, url=url, **kwargs)) as resp:
            if resp.status != 200:
                raise IOError(resp.status)
            return await resp.json()
